// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME myd

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "RConfig.h"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Since CINT ignores the std namespace, we need to do so in this file.
namespace std {} using namespace std;

// Header files passed as explicit arguments
#include "hello.h"

// Header files passed via #pragma extra_include

namespace ROOT {
   static void *new_hello(void *p = 0);
   static void *newArray_hello(Long_t size, void *p);
   static void delete_hello(void *p);
   static void deleteArray_hello(void *p);
   static void destruct_hello(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::hello*)
   {
      ::hello *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::hello >(0);
      static ::ROOT::TGenericClassInfo 
         instance("hello", ::hello::Class_Version(), "hello.h", 10,
                  typeid(::hello), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::hello::Dictionary, isa_proxy, 4,
                  sizeof(::hello) );
      instance.SetNew(&new_hello);
      instance.SetNewArray(&newArray_hello);
      instance.SetDelete(&delete_hello);
      instance.SetDeleteArray(&deleteArray_hello);
      instance.SetDestructor(&destruct_hello);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::hello*)
   {
      return GenerateInitInstanceLocal((::hello*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::hello*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr hello::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *hello::Class_Name()
{
   return "hello";
}

//______________________________________________________________________________
const char *hello::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::hello*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int hello::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::hello*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *hello::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::hello*)0x0)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *hello::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD2(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::hello*)0x0)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
void hello::Streamer(TBuffer &R__b)
{
   // Stream an object of class hello.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(hello::Class(),this);
   } else {
      R__b.WriteClassBuffer(hello::Class(),this);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_hello(void *p) {
      return  p ? new(p) ::hello : new ::hello;
   }
   static void *newArray_hello(Long_t nElements, void *p) {
      return p ? new(p) ::hello[nElements] : new ::hello[nElements];
   }
   // Wrapper around operator delete
   static void delete_hello(void *p) {
      delete ((::hello*)p);
   }
   static void deleteArray_hello(void *p) {
      delete [] ((::hello*)p);
   }
   static void destruct_hello(void *p) {
      typedef ::hello current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::hello

namespace {
  void TriggerDictionaryInitialization_myd_Impl() {
    static const char* headers[] = {
"hello.h",
0
    };
    static const char* includePaths[] = {
"/Users/kalousis/root-6-06-00/include",
"/Users/kalousis/hello/",
0
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "myd dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_Autoloading_Map;
class __attribute__((annotate("$clingAutoload$hello.h")))  hello;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "myd dictionary payload"

#ifndef G__VECTOR_HAS_CLASS_ITERATOR
  #define G__VECTOR_HAS_CLASS_ITERATOR 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
#include "hello.h"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[]={
"hello", payloadCode, "@",
nullptr};

    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("myd",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_myd_Impl, {}, classesHeaders);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_myd_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_myd() {
  TriggerDictionaryInitialization_myd_Impl();
}
